effect effects/vehicles/gev/burn
{
	size	468

	emitter "embers2"
	{
		duration	1,1
		count		10,10

		sprite
		{
			duration	1.5,2.5
			blend	add
			material	"gfx/effects/energy_sparks/spark3"
			gravity		-0.2,0

			start
			{
				position { cylinder 40,-40,50,80,40,80 }
				velocity { box 0,-5,-5,15,5,5 }
				angle { box 0,0,0,1,1,1 }
				size { line 0.5,0.5,3,3 }
				fade { point 0 }
				offset { box 0,-20,-20,0,20,20 }
				rotate { box 0,1 }
			}

			motion
			{
				tint { envelope "linear" }
				fade { envelope "fastinslowout" }
				angle { envelope "linear" }
			}

			end
			{
				fade { point 1 }
				angle { box -1,-1,-1,1,1,1 relative }
			}
		}
	}
	emitter "fire9"
	{
		duration	1,1
		count		2,2

		sprite
		{
			duration	1,1
			blend	add
			material	"gfx/effects/fire/fire3a"
			gravity		-0.22,0

			start
			{
				position { cylinder 10,-10,0,10,10,3 }
				velocity { box 0,-15,-15,30,15,15 }
				angle { box 0,0,0,1,1,1 }
				size { box 40,40,110,110 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { box 30,30,40,40 }
				fade { point 1 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.222222,-0.333333 relative }
			}
		}
	}
	sound "unnamed10"
	{
		soundShader	"effects_fire_small"
	}
	emitter "fire7"
	{
		duration	1,1
		count		5,5

		sprite
		{
			duration	0.85,0.95
			blend	add
			material	"gfx/effects/fire/fire1a"
			gravity		-0.15,-0.125

			start
			{
				position { cylinder 0,-15,3,0,15,7 }
				velocity { box 0,0,0,50,0,0 }
				angle { box 0,0,0,0,0,1 }
				size { box 70,70,90,90 }
				fade { point 0 }
				offset { box 0,-5,-5,0,5,5 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				angle { envelope "linear" }
			}

			end
			{
				size { box 80,130,100,150 }
				fade { line 0.75,1 }
				angle { box 0,0,0,0,0,1 }
			}
		}
	}
	emitter "smoke5"
	{
		duration	1,1
		count		2,7

		sprite
		{
			duration	1.5,3.5
			material	"gfx/effects/smoke/smoke_dark"
			gravity		-0.02,-0.02

			start
			{
				position { line 0,0,50,0,0,65 }
				velocity { box -5,-5,-5,5,5,5 }
				acceleration { box 0,0,3,0,0,18 }
				size { line 10,10,30,30 }
				tint { point 0.752941,0.752941,0.752941 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "cosine" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 140,140,170,170 }
				fade { point 1 }
				rotate { box -0.333333,0.333333 relative }
			}
		}
	}
	emitter "fire8"
	{
		duration	1,1
		count		1,1

		sprite
		{
			duration	1,1.5
			blend	add
			material	"gfx/effects/fire/fire2a"
			gravity		-0.019,0

			start
			{
				position { cylinder 5,-8,3,5,8,5 }
				velocity { box 0,0,0,50,0,0 }
				angle { box 0,0,0,0,0,1 }
				size { line 70,70,80,80 }
				fade { point 0 }
				offset { box -10,-10,-10,10,10,10 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { box 80,80,130,130 }
				fade { point 1 }
				angle { box 0,0,-1,0,0,1 relative }
				rotate { box -0.222222,0.222222 relative }
			}
		}
	}
	spawner "heathaze2"
	{
		count		1,1

		sprite
		{
			duration	3,3
			blend	add
			material	"gfx/effects/energy_sparks/warp_mask"

			start
			{
				position { line 0,10,1,0,10,8 }
				velocity { box 50,0,0,80,0,0 }
				size { point 230,280 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				tint { point 0.501961,0.501961,1 }
			}
		}
	}
}












